Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.emp.mtp.jcics
Class ByteAreaLayout

    java.lang.Object
      |
      +--com.sun.emp.mtp.jcics.ByteAreaLayout

public class ByteAreaLayout
extends java.lang.Object

Constructor Summary
`ByteAreaLayout(java.lang.String[] s)`
`ByteAreaLayout(java.lang.String[] s, byte[] b)`

Method Summary
`byte[]` | `getByteValue(java.lang.String elementName)`
`int` | `getDisplacement(java.lang.String elementName)`
`int` | `getIValue(java.lang.String elementName)`
`int` | `getLength()`
`int` | `getLength(java.lang.String elementName)`
`java.lang.String` | `getValue(java.lang.String elementName)`
`void` | `resetByteAreaValues(byte[] b)`
`void` | `resetToDefaultValues()`
`void` | `setToDefaultValue(java.lang.String elementName)`
`byte[]` | `setValue(java.lang.String elementName, byte[] b)`
`int` | `setValue(java.lang.String elementName, int i)`
`java.lang.String` | `setValue(java.lang.String elementName, java.lang.String value)`
`byte[]` | `theByteArea()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteAreaLayout

    public ByteAreaLayout(java.lang.String[] s,
                          byte[] b)

### ByteAreaLayout

    public ByteAreaLayout(java.lang.String[] s)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### resetToDefaultValues

    public void resetToDefaultValues()

### theByteArea

    public byte[] theByteArea()

### resetByteAreaValues

    public void resetByteAreaValues(byte[] b)

### getLength

    public int getLength()

### getLength

    public int getLength(java.lang.String elementName)

### getIValue

    public int getIValue(java.lang.String elementName)

### getValue

    public java.lang.String getValue(java.lang.String elementName)

### getByteValue

    public byte[] getByteValue(java.lang.String elementName)

### getDisplacement

    public int getDisplacement(java.lang.String elementName)

### setValue

    public java.lang.String setValue(java.lang.String elementName,
                                     java.lang.String value)

### setValue

    public byte[] setValue(java.lang.String elementName,
                           byte[] b)

### setValue

    public int setValue(java.lang.String elementName,
                        int i)

### setToDefaultValue

    public void setToDefaultValue(java.lang.String elementName)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.